{
	"schema": "https://iot-ap.ikonke.com/model/product_3038.json",
	"productType": "outlet",
	"version": "1.0",
	"profile": {
		"heartbeat": "300",
		"productCode": "3038",
		"productName": "肖邦系列.16A智能插座Z3S(KONKE)"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "Electric",
					"dataType": {
						"type": "double",
						"specs": {
							"unit": "KWh",
							"unitName": "千瓦时",
							"step": "0.01"
						}
					},
					"name": "累计电量值"
				},
				{
		            "identifier":"NoDisturbMode",
		            "dataType":{
		                "specs":{
		                    "0":"关闭",
		                    "1":"打开"
		                },
		                "type":"bool"
		            },
		            "name":"勿扰模式开关"
		        }
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置"
		}, 
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				}, 
				{
					"identifier": "Power",
					"dataType": {
						"type": "double",
						"specs": {
							"unit": "W",
							"unitName": "瓦特",
							"step": "0.01"
						}
					},
					"name": "设备功率值"
				}, 
				{
					"identifier": "Electric",
					"dataType": {
						"type": "double",
						"specs": {
							"unit": "KWh",
							"unitName": "千瓦时",
							"step": "0.01"
						}
					},
					"name": "累计电量值"
				},
				{
		            "identifier":"NoDisturbMode",
		            "dataType":{
		                "specs":{
		                    "0":"关闭",
		                    "1":"打开"
		                },
		                "type":"bool"
		            },
		            "name":"勿扰模式开关"
		        }
			],
			"identifier": "get",
			"inputData": [
				"PowerSwitch",
				"Power",
				"Electric",
				"NoDisturbMode"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		},
        {
            "outputData":[

            ],
            "identifier":"negativeProperty",
            "inputData":[
                "PowerSwitch"
            ],
            "method":"thing.service.negativeProperty",
            "name":"negativeProperty",
            "required":true,
            "callType":"async",
            "desc":"属性值取反"
        }
	],
	"properties": [
		{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关",
			"accessMode": "rw",
			"required": true
		}, 
		{
			"identifier": "Power",
			"dataType": {
				"type": "double",
				"specs": {
					"unit": "W",
					"unitName": "瓦特",
					"step": "0.01"
				}
			},
			"name": "设备功率值",
			"accessMode": "r",
			"required": true
		}, 
		{
			"identifier": "Electric",
			"dataType": {
				"type": "double",
				"specs": {
					"unit": "KWh",
					"unitName": "千瓦时",
					"step": "0.01"
				}
			},
			"name": "累计电量值",
			"accessMode": "rw",
			"required": true
		},
		{
            "identifier":"NoDisturbMode",
            "dataType":{
                "specs":{
                    "0":"关闭",
                    "1":"打开"
                },
                "type":"bool"
            },
            "name":"勿扰模式开关",
            "accessMode": "rw",
			"required": true
        }
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				}, 
				{
					"identifier": "Electric",
					"dataType": {
						"type": "double",
						"specs": {
							"step": "0.01"
						}
					},
					"name": "累计电量值"
				},
				{
		            "identifier":"NoDisturbMode",
		            "dataType":{
		                "specs":{
		                    "0":"关闭",
		                    "1":"打开"
		                },
		                "type":"bool"
		            },
		            "name":"勿扰模式开关"
				}
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		},
		{
			"outputData": [
				{
					"identifier": "Power",
					"name": "过载功率值",
					"dataType": {
						"type": "double",
						"specs": {
							"unit": "W",
							"unitName": "瓦特",
							"step": "0.01"
						}
					}
				}
			],
			"identifier": "OverloadAlarm",
			"method": "thing.event.OverloadAlarm.post",
			"name": "OverloadAlarm",
			"type": "alarm",
			"required": true,
			"desc": "过载告警"
		}
	]
}
